import { Elysia } from "elysia";

import { apiKeyMiddleware } from "@/middleware/apiKeyMiddleware";

import { cacheRoutes } from "./cache";

export const apiRoutes = new Elysia({ prefix: "/api" })
    .guard({ beforeHandle: apiKeyMiddleware })
    .use(cacheRoutes);
